let
  fromEnv = var: def:
    let val = builtins.getEnv var; in
    if val != "" then val else def;
in rec {
  shell = "/nix/store/3gbqn0vwb5vaa34h20xba3k10jf4mqhn-bash-4.4-p12/bin/bash";
  coreutils = "/nix/store/5601x6iw0d16a62lf82h8vr2vlr1qvj8-coreutils-8.29/bin";
  bzip2 = "/nix/store/n08vyhm0fh6nlzms73k00phkqpj3hb1s-bzip2-1.0.6.0.1-bin/bin/bzip2";
  gzip = "/nix/store/6klqry2rwcmnbc6czvrg3yyllj45qx2y-gzip-1.9/bin/gzip";
  xz = "/nix/store/1lz0hwj0ab9awjbvxjwjrw5c5vpvkif9-xz-5.2.3-bin/bin/xz";
  tar = "/nix/store/67zmjkl0l564h9fp3r6lphqc9a0f4x0w-gnutar-1.30/bin/tar";
  tarFlags = "--warning=no-timestamp";
  tr = "/nix/store/5601x6iw0d16a62lf82h8vr2vlr1qvj8-coreutils-8.29/bin/tr";
  nixBinDir = fromEnv "NIX_BIN_DIR" "/nix/store/lgqf55qyclbx3r9ss0azfka87b4013mx-nix-2.1/bin";
  nixPrefix = "/nix/store/lgqf55qyclbx3r9ss0azfka87b4013mx-nix-2.1";
  nixLibexecDir = fromEnv "NIX_LIBEXEC_DIR" "/nix/store/lgqf55qyclbx3r9ss0azfka87b4013mx-nix-2.1/libexec";
  nixLocalstateDir = "/nix/var";
  nixSysconfDir = "/etc";
  nixStoreDir = fromEnv "NIX_STORE_DIR" "/nix/store";

  # If Nix is installed in the Nix store, then automatically add it as
  # a dependency to the core packages. This ensures that they work
  # properly in a chroot.
  chrootDeps =
    if dirOf nixPrefix == builtins.storeDir then
      [ (builtins.storePath nixPrefix) ]
    else
      [ ];
}
